Skip to main content
DELETE
Remove User Role

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The user's ID, which GET /v1/users returns as id.

role_id
string
required

The role to assign or remove, by the id that GET /v1/users/{user_id}/roles returns. It is either a built-in role's id or the UUID of a custom role in your organization. The built-in ids are organization-admin (Admin), read-only-organization-admin (Read Only Admin), auditor (Auditor), appstore-read-only-admin (AppStore Read Only Admin), app-admin (App Admin), vendor-owner (Vendor Owner), vendor-agreement-owner (Vendor Agreement Owner), mcp-governance (MCP Governance), and user (User). A role's label or name is not accepted. A built-in role's SCREAMING_CASE name, such as APP_ADMIN, returns 400 with code role.id_required. An unknown role returns 400.

Response

Successful Response